<ng-template #loading>
  <app-spinner></app-spinner>
</ng-template>
<div class="mobile-scroll-x-wrapper  is-fullwidth" *ngIf="hourlyData; else loading">
<table class="table is-responsive transparent is-fullwidth">
  <thead>
  <tr>
    <th>Time</th>
    <th>Summary</th>
    <th>Temperature</th>
    <th>Humidity</th>
    <th>Wind Speed</th>
  </tr>
  </thead>
  <tbody>
    <tr *ngFor="let hourlyData of hourlyData.list | slice:0:24;">
      <td >{{hourlyData.dt * 1000 | date: "E h a"}}</td>
      <td> <img class="icon m-r-lg" src="/assets/icons/{{hourlyData.weather[0].icon}}.svg" /> {{hourlyData.weather[0]['description']}} </td>
      <td> {{hourlyData.main.temp | number:'1.0-0'}}<sup> ° </sup> </td>
      <td> {{hourlyData.main.humidity | number:'1.0-0'}}%</td>
      <td> {{hourlyData.wind.speed | number:'1.0-1'}}</td>
    </tr>
  </tbody>
</table>
</div>
